function FileData_Pairs(x)
{
x.t("extensions","add");
x.t("extensions","allow");
x.t("extensions","tibco");
x.t("extensions","vendor");
x.t("extensions","therefore");
x.t("tag","jms_tibco_msg_ext");
x.t("tibemsstreammsg_readchar","using");
x.t("tibemsstreammsg_readchar","tibemsstreammsg");
x.t("available","within");
x.t("parameter","description");
x.t("parameter","return");
x.t("within","jms");
x.t("within","message");
x.t("description","field");
x.t("description","message");
x.t("description","page");
x.t("create","stream");
x.t("freeing","fields");
x.t("structs","contain");
x.t("related","types");
x.t("instance","submessage");
x.t("void","value");
x.t("void","tibemsstreammsg_freefield");
x.t("tibems_double","value");
x.t("creates","field");
x.t("creates","new");
x.t("creates","message");
x.t("tibemsmsg_clearbody","page");
x.t("field","structs");
x.t("field","end-call");
x.t("field","cobol");
x.t("field","stream");
x.t("field","free");
x.t("field","struct");
x.t("generating","series");
x.t("end-call","parameters");
x.t("end-call","message");
x.t("end-call","call");
x.t("pages","freeing");
x.t("pages","tibemsstreammsg_readbytes");
x.t("pages","call");
x.t("uses","length");
x.t("program","calls");
x.t("program","extracted");
x.t("program","call");
x.t("until","returns");
x.t("extension","jms");
x.t("type","extensions");
x.t("type","purpose");
x.t("type","object");
x.t("tibemsstreammsg_read","tibemsstreammsg_readfield");
x.t("tibemsstreammsg_read","read");
x.t("freed","call");
x.t("tibemsstreammsg_readlong","using");
x.t("tibemsstreammsg_readlong","tibemsstreammsg");
x.t("tibemsstreammsg_writefloatarray","tibemsmsg");
x.t("tibemsstreammsg_writefloatarray","using");
x.t("tibemsbytesmsg_writebytes","write");
x.t("datum","arrays");
x.t("datum","stream");
x.t("datum","read");
x.t("considerable","flexibility");
x.t("calls","function");
x.t("calls","documented");
x.t("reset","read");
x.t("formats","certain");
x.t("however","extensions");
x.t("tagged","extensions");
x.t("tibemsmapmsg_getfield","tibemsmsgfield");
x.t("tibemsstreammsg_writedouble","using");
x.t("tibemsstreammsg_writedouble","tibemsstreammsg");
x.t("tibemsstreammsg_writelongarray","tibemsmsg");
x.t("tibemsstreammsg_writelongarray","using");
x.t("primitive","type");
x.t("primitive","types");
x.t("primitive","datatypes");
x.t("tibemsstreammsg_reset","function");
x.t("tibemsstreammsg_reset","read");
x.t("tibemsstreammsg_reset","using");
x.t("tibemsstreammsg_reset","tibemsstreammsg");
x.t("rendezvous","activeenterprise");
x.t("rendezvous","messages");
x.t("property","tag");
x.t("tibems-status","end-call");
x.t("count","tibems_status");
x.t("count","returning");
x.t("count","array");
x.t("count","nested");
x.t("items","related");
x.t("tibemsstreammsg_create","create");
x.t("tibemsstreammsg_create","function");
x.t("tibemsstreammsg_create","using");
x.t("tibemsstreammsg_create","tibemsstreammsg");
x.t("110","tibemsstreammsg_read");
x.t("110","tibemsstreammsg_reset");
x.t("certain","features");
x.t("jms","specifications");
x.t("jms","specification");
x.t("new","stream");
x.t("new","end");
x.t("new","message");
x.t("single","value");
x.t("111","tibemsstreammsg_readbytes");
x.t("compliant","jms");
x.t("tibems_status","tibemsstreammsg_readchar");
x.t("tibems_status","tibemsstreammsg_readlong");
x.t("tibems_status","tibemsstreammsg_writefloatarray");
x.t("tibems_status","tibemsstreammsg_writedouble");
x.t("tibems_status","tibemsstreammsg_writelongarray");
x.t("tibems_status","tibemsstreammsg_reset");
x.t("tibems_status","tibemsstreammsg_create");
x.t("tibems_status","tibemsstreammsg_writeintarray");
x.t("tibems_status","tibemsstreammsg_writeboolean");
x.t("tibems_status","tibemsstreammsg_writedoublearray");
x.t("tibems_status","tibemsstreammsg_readboolean");
x.t("tibems_status","tibemsstreammsg_readfield");
x.t("tibems_status","tibemsstreammsg_writestring");
x.t("tibems_status","tibemsstreammsg_writeshortarray");
x.t("tibems_status","tibemsstreammsg_readdouble");
x.t("tibems_status","tibemsstreammsg_writebyte");
x.t("tibems_status","tibemsstreammsg_readshort");
x.t("tibems_status","tibemsstreammsg_writemapmsg");
x.t("tibems_status","tibemsstreammsg_writechar");
x.t("tibems_status","tibemsstreammsg_readfloat");
x.t("tibems_status","tibemsstreammsg_writeint");
x.t("tibems_status","tibemsstreammsg_writestreammsg");
x.t("tibems_status","tibemsstreammsg_readbytes");
x.t("tibems_status","tibemsstreammsg_writelong");
x.t("tibems_status","tibemsstreammsg_writeshort");
x.t("tibems_status","tibemsstreammsg_writefloat");
x.t("tibems_status","tibemsstreammsg_readstring");
x.t("tibems_status","tibemsstreammsg_writebytes");
x.t("tibems_status","tibemsstreammsg_readint");
x.t("tibems_status","tibemsstreammsg_readbyte");
x.t("cobol","call");
x.t("size","returning");
x.t("size","remarks");
x.t("tibemsstreammsg_writeintarray","tibemsmsg");
x.t("tibemsstreammsg_writeintarray","using");
x.t("need","called");
x.t("during","reading");
x.t("beginning","stream");
x.t("enterprise","message");
x.t("activeenterprise","formats");
x.t("add","considerable");
x.t("group","parameters");
x.t("complete","bytes");
x.t("preparation","writing");
x.t("tibemsstreammsg_writeboolean","using");
x.t("tibemsstreammsg_writeboolean","tibemsstreammsg");
x.t("114","tibemsstreammsg_readfield");
x.t("guide","tibemsstreammsg_create");
x.t("tibemsmsg_create","page");
x.t("tibemsmsg","message");
x.t("tibemsmsg","value");
x.t("tibemsmsg","page");
x.t("115","tibemsstreammsg_reset");
x.t("115","tibemsstreammsg_readfield");
x.t("115","tibemsstreammsg_readbytes");
x.t("115","tibemsstreammsg");
x.t("features","available");
x.t("flat","message");
x.t("byte","array");
x.t("byte","stream");
x.t("byte","length");
x.t("byte","sequence");
x.t("116","tibemsstreammsg_write");
x.t("writing","newly");
x.t("117","tibemsbytesmsg_writebytes");
x.t("streammessage","instance");
x.t("streammessage","generating");
x.t("streammessage","body");
x.t("returning","tibems-status");
x.t("char","value");
x.t("prepares","message");
x.t("bytes","byte");
x.t("bytes","stream");
x.t("bytes","may");
x.t("bytes","read");
x.t("tibemsmsgfield","field");
x.t("tibemsmsgfield","programs");
x.t("tibemsmsgfield","value");
x.t("tibemsmsgfield","page");
x.t("tibemsstreammsg_writedoublearray","tibemsmsg");
x.t("tibemsstreammsg_writedoublearray","using");
x.t("const","tibems_double");
x.t("const","tibems_short");
x.t("const","tibems_float");
x.t("const","tibems_int");
x.t("const","tibems_long");
x.t("parameters","parameter");
x.t("subsequently","freed");
x.t("subsequently","call");
x.t("declarations","tibems_status");
x.t("tibemsstreammsg_readfield","creates");
x.t("tibemsstreammsg_readfield","subsequently");
x.t("tibemsstreammsg_readfield","function");
x.t("tibemsstreammsg_readfield","read");
x.t("tibemsstreammsg_readfield","page");
x.t("tibemsstreammsg_readfield","allocates");
x.t("tibemsstreammsg_readfield","using");
x.t("tibemsstreammsg_readfield","tibemsstreammsg");
x.t("arrays","primitive");
x.t("arrays","null");
x.t("132","tibemsstreammsg_readfield");
x.t("tibemsstreammsg_readboolean","using");
x.t("tibemsstreammsg_readboolean","tibemsstreammsg");
x.t("writes","bytes");
x.t("writes","data");
x.t("array","declarations");
x.t("array","stream");
x.t("array","advances");
x.t("array","functions");
x.t("array","message");
x.t("array","values");
x.t("write","datum");
x.t("write","byte");
x.t("write","bytes");
x.t("write","number");
x.t("write","data");
x.t("write","call");
x.t("write","position");
x.t("allow","tibco");
x.t("programs","feature");
x.t("programs","call");
x.t("fields","successful");
x.t("stream","primitive");
x.t("stream","byte");
x.t("stream","advances");
x.t("stream","message");
x.t("stream","data");
x.t("stream","mark");
x.t("stream","tibemsstreammsg_writebytes");
x.t("specifications","extended");
x.t("contain","data");
x.t("tibemsstreammsg_write","write");
x.t("advances","write");
x.t("advances","read");
x.t("functions","array");
x.t("functions","documented");
x.t("body","preparation");
x.t("body","types");
x.t("body","tibco");
x.t("body","read-only");
x.t("body","reading");
x.t("contrast","tibemsmsg_clearbody");
x.t("representation","primitive");
x.t("_read","function");
x.t("next","datum");
x.t("next","write");
x.t("next","read");
x.t("appends","new");
x.t("messages","extension");
x.t("messages","tagged");
x.t("messages","instead");
x.t("messages","tibco");
x.t("messages","message");
x.t("messages","tibemsstreammsg");
x.t("tibemsmsg_destroy","tibemsmsg_create");
x.t("tibemsmsg_destroy","page");
x.t("unit","data");
x.t("tibemsstreammsg_writestring","using");
x.t("tibemsstreammsg_writestring","tibemsstreammsg");
x.t("tibemsstreammsg_writeshortarray","tibemsmsg");
x.t("tibemsstreammsg_writeshortarray","using");
x.t("feature","non-compliant");
x.t("tibemsstreammsg_readdouble","using");
x.t("tibemsstreammsg_readdouble","tibemsstreammsg");
x.t("number","bytes");
x.t("tibemsstreammsg_writebyte","using");
x.t("tibemsstreammsg_writebyte","tibemsstreammsg");
x.t("function","tibemsstreammsg_read");
x.t("function","need");
x.t("function","stores");
x.t("function","purpose");
x.t("function","free");
x.t("function","call");
x.t("tibemsstreammsg_readshort","using");
x.t("tibemsstreammsg_readshort","tibemsstreammsg");
x.t("length","parameter");
x.t("length","program");
x.t("length","cobol");
x.t("length","returning");
x.t("length","write");
x.t("length","function");
x.t("indicating","program");
x.t("clears","message");
x.t("tibemsstreammsg_writemapmsg","calls");
x.t("tibemsstreammsg_writemapmsg","tibemsmsg");
x.t("tibemsstreammsg_writemapmsg","using");
x.t("chapter","messages");
x.t("exchange","messages");
x.t("tibems_short","value");
x.t("reads","field");
x.t("reads","bytes");
x.t("reads","unit");
x.t("cannot","read");
x.t("may","program");
x.t("tibemsstreammsg_writechar","using");
x.t("tibemsstreammsg_writechar","tibemsstreammsg");
x.t("ways","extensions");
x.t("instead","flat");
x.t("stores","actual");
x.t("stores","pointer");
x.t("tibemsstreammsg_readfloat","using");
x.t("tibemsstreammsg_readfloat","tibemsstreammsg");
x.t("extracted","complete");
x.t("tibemsstreammsg_writeint","using");
x.t("tibemsstreammsg_writeint","tibemsstreammsg");
x.t("types","however");
x.t("types","tibemsmsg");
x.t("types","values");
x.t("types","two");
x.t("allocated","during");
x.t("allocated","storage");
x.t("tibems_float","value");
x.t("purpose","create");
x.t("purpose","write");
x.t("purpose","message");
x.t("purpose","free");
x.t("purpose","read");
x.t("tibems_int","count");
x.t("tibems_int","value");
x.t("_write","function");
x.t("reference","field");
x.t("reference","size");
x.t("reference","message");
x.t("reference","value");
x.t("end","stream");
x.t("return","actual");
x.t("tibemsstreammsg_writestreammsg","tibemsmsg");
x.t("tibemsstreammsg_writestreammsg","tibemsstreammsg_writemapmsg");
x.t("tibemsstreammsg_writestreammsg","using");
x.t("message","tibems_double");
x.t("message","void");
x.t("message","reset");
x.t("message","110");
x.t("message","single");
x.t("message","111");
x.t("message","cobol");
x.t("message","114");
x.t("message","115");
x.t("message","tibemsmsg");
x.t("message","117");
x.t("message","returning");
x.t("message","char");
x.t("message","tibemsmsgfield");
x.t("message","const");
x.t("message","declarations");
x.t("message","arrays");
x.t("message","write");
x.t("message","body");
x.t("message","function");
x.t("message","length");
x.t("message","tibems_short");
x.t("message","tibems_float");
x.t("message","tibems_int");
x.t("message","reference");
x.t("message","tibems_byte");
x.t("message","usage");
x.t("message","value");
x.t("message","compatibility");
x.t("message","declaration");
x.t("message","tibems_wchar");
x.t("message","read");
x.t("message","location");
x.t("message","remarks");
x.t("message","109");
x.t("message","newly");
x.t("message","121");
x.t("message","application");
x.t("message","allocates");
x.t("message","tibems_long");
x.t("message","service");
x.t("message","storage");
x.t("message","containing");
x.t("message","tibems_bool");
x.t("tibemsstreammsg_readbytes","function");
x.t("tibemsstreammsg_readbytes","read");
x.t("tibemsstreammsg_readbytes","page");
x.t("tibemsstreammsg_readbytes","using");
x.t("tibemsstreammsg_readbytes","tibemsstreammsg");
x.t("tibco","rendezvous");
x.t("tibco","enterprise");
x.t("tibco","software");
x.t("extended","messages");
x.t("actual","number");
x.t("tibems_byte","value");
x.t("null","count");
x.t("jms_tibco_msg_ext","information");
x.t("usage","pointer");
x.t("value","count");
x.t("value","tibems_status");
x.t("value","cobol");
x.t("value","returning");
x.t("value","declarations");
x.t("value","array");
x.t("value","write");
x.t("value","stream");
x.t("value","function");
x.t("value","length");
x.t("value","tibems_int");
x.t("value","reference");
x.t("value","message");
x.t("value","usage");
x.t("value","value");
x.t("value","tibems_uint");
x.t("value","nested");
x.t("value","copy");
x.t("tibemsstreammsg_writelong","using");
x.t("tibemsstreammsg_writelong","tibemsstreammsg");
x.t("free","allocated");
x.t("free","storage");
x.t("compatibility","rendezvous");
x.t("declaration","void");
x.t("declaration","tibems_status");
x.t("extends","mapmessage");
x.t("repeatedly","until");
x.t("non-compliant","cobol");
x.t("tibemsstreammsg_freefield","tibemsmsgfield");
x.t("tibemsstreammsg_freefield","function");
x.t("tibemsstreammsg_freefield","free");
x.t("tibemsstreammsg_freefield","page");
x.t("tibemsstreammsg_freefield","using");
x.t("read","field");
x.t("read","primitive");
x.t("read","byte");
x.t("read","functions");
x.t("read","function");
x.t("read","location");
x.t("read","call");
x.t("read","position");
x.t("read","even");
x.t("tibems_wchar","value");
x.t("page","tibemsstreammsg_create");
x.t("page","110");
x.t("page","114");
x.t("page","115");
x.t("page","132");
x.t("page","tibemsmsg_destroy");
x.t("page","clears");
x.t("page","tibemsstreammsg_freefield");
x.t("page","121");
x.t("page","member");
x.t("remarks","datum");
x.t("remarks","successful");
x.t("remarks","call");
x.t("location","length");
x.t("location","remarks");
x.t("separate","pages");
x.t("sequence","within");
x.t("tibemsstreammsg_writeshort","using");
x.t("tibemsstreammsg_writeshort","tibemsstreammsg");
x.t("data","items");
x.t("data","stream");
x.t("data","allocated");
x.t("data","value");
x.t("109","tibemsstreammsg_freefield");
x.t("information","message");
x.t("read-only","116");
x.t("read-only","declaration");
x.t("nested","messages");
x.t("nested","message");
x.t("tibems_uint","length");
x.t("newly","received");
x.t("newly","created");
x.t("received","contrast");
x.t("tibemsstreammsg_writefloat","using");
x.t("tibemsstreammsg_writefloat","tibemsstreammsg");
x.t("121","remarks");
x.t("121","tibemsstreammsg_writebytes");
x.t("values","extensions");
x.t("values","size");
x.t("application","creates");
x.t("allocates","storage");
x.t("successful","call");
x.t("documented","group");
x.t("documented","separate");
x.t("specification","programs");
x.t("specification","insert");
x.t("called","tibemsmapmsg_getfield");
x.t("tibemsstreammsg_readstring","calls");
x.t("tibemsstreammsg_readstring","using");
x.t("tibemsstreammsg_readstring","tibemsstreammsg");
x.t("two","body");
x.t("two","ways");
x.t("mark","message");
x.t("submessage","mapmessage");
x.t("tibems_long","value");
x.t("copy","bytes");
x.t("call","tibemsstreammsg_readchar");
x.t("call","creates");
x.t("call","uses");
x.t("call","tibemsstreammsg_readlong");
x.t("call","tibemsstreammsg_writefloatarray");
x.t("call","tibemsstreammsg_writedouble");
x.t("call","tibemsstreammsg_writelongarray");
x.t("call","tibemsstreammsg_reset");
x.t("call","tibemsstreammsg_create");
x.t("call","tibemsstreammsg_writeintarray");
x.t("call","tibemsstreammsg_writeboolean");
x.t("call","prepares");
x.t("call","tibemsstreammsg_writedoublearray");
x.t("call","tibemsstreammsg_readfield");
x.t("call","tibemsstreammsg_readboolean");
x.t("call","writes");
x.t("call","appends");
x.t("call","tibemsmsg_destroy");
x.t("call","tibemsstreammsg_writeshortarray");
x.t("call","tibemsstreammsg_writestring");
x.t("call","tibemsstreammsg_readdouble");
x.t("call","tibemsstreammsg_writebyte");
x.t("call","function");
x.t("call","tibemsstreammsg_readshort");
x.t("call","tibemsstreammsg_writemapmsg");
x.t("call","reads");
x.t("call","cannot");
x.t("call","tibemsstreammsg_writechar");
x.t("call","tibemsstreammsg_readfloat");
x.t("call","tibemsstreammsg_writeint");
x.t("call","tibemsstreammsg_writestreammsg");
x.t("call","tibemsstreammsg_readbytes");
x.t("call","tibemsstreammsg_writelong");
x.t("call","repeatedly");
x.t("call","tibemsstreammsg_freefield");
x.t("call","read");
x.t("call","tibemsstreammsg_writeshort");
x.t("call","tibemsstreammsg_writefloat");
x.t("call","tibemsstreammsg_readstring");
x.t("call","call");
x.t("call","tibemsstreammsg_writebytes");
x.t("call","tibemsstreammsg_readint");
x.t("call","tibemsstreammsg_readbyte");
x.t("call","gets");
x.t("created","tibemsstreammsg");
x.t("tibemsstreammsg_writebytes","function");
x.t("tibemsstreammsg_writebytes","page");
x.t("tibemsstreammsg_writebytes","using");
x.t("tibemsstreammsg_writebytes","tibemsstreammsg");
x.t("storage","tibemsmsgfield");
x.t("storage","subsequently");
x.t("storage","programs");
x.t("storage","function");
x.t("storage","allocated");
x.t("storage","message");
x.t("storage","tibemsstreammsg_freefield");
x.t("storage","associated");
x.t("service","exchange");
x.t("service","extends");
x.t("service","user\u2019s");
x.t("pointer","field");
x.t("pointer","new");
x.t("pointer","byte");
x.t("pointer","parameters");
x.t("pointer","tibemsstreammsg_writestreammsg");
x.t("pointer","value");
x.t("pointer","tibemsstreammsg_readstring");
x.t("containing","stream");
x.t("vendor","property");
x.t("using","reference");
x.t("using","value");
x.t("mapmessage","streammessage");
x.t("series","nested");
x.t("returns","indicating");
x.t("member","description");
x.t("therefore","compliant");
x.t("associated","field");
x.t("position","beginning");
x.t("position","next");
x.t("position","message");
x.t("position","tibco");
x.t("insert","mapmessage");
x.t("flexibility","two");
x.t("struct","field");
x.t("struct","message");
x.t("struct","remarks");
x.t("struct","location");
x.t("tibemsstreammsg_readint","using");
x.t("tibemsstreammsg_readint","tibemsstreammsg");
x.t("reading","stream");
x.t("reading","message");
x.t("tibemsstreammsg_readbyte","using");
x.t("tibemsstreammsg_readbyte","tibemsstreammsg");
x.t("even","byte");
x.t("tibemsstreammsg","type");
x.t("tibemsstreammsg","_read");
x.t("tibemsstreammsg","chapter");
x.t("tibemsstreammsg","_write");
x.t("tibemsstreammsg","message");
x.t("tibemsstreammsg","tibemsstreammsg");
x.t("datatypes","stream");
x.t("object","representation");
x.t("user\u2019s","guide");
x.t("tibems_bool","value");
x.t("gets","next");
}
